## barbican 9.0.1

=== debian/changelog ===
barbican (1:9.0.1-0ubuntu1~cloud0) bionic-train; urgency=medium

  [ Corey Bryant ]
  * d/gbp.conf: Create stable/train branch.
  * d/watch: Get tarballs from opendev.org.
  * New stable point release for OpenStack Train (LP: #1900476).

  [ Chris MacNaughton ]
  * d/control: Update VCS paths for move to lp:~ubuntu-openstack-dev.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 19 Oct 2020 15:03:56 -0400

barbican (1:9.0.0-0ubuntu1~cloud0) bionic-train; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Wed, 16 Oct 2019 20:33:42 +0000

barbican (1:9.0.0-0ubuntu1) eoan; urgency=medium

  * New stable point release for OpenStack Train.

 -- Sahid Orentino Ferdjaoui <sahid.ferdjaoui@canonical.com>  Wed, 16 Oct 2019 17:39:50 +0100

barbican (1:9.0.0~rc1-0ubuntu1) eoan; urgency=medium

  [ Sahid Orentino Ferdjaoui ]
  * New upstream snapshot for OpenStack Train.
  * d/control: Align (Build-)Depends with upstream.

  [ Corey Bryant ]
  * d/watch: Scope to 9.x series.
  * New upstream release candidate for OpenStack Train.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 01 Oct 2019 10:13:58 -0400

barbican (1:9.0.0~b1~git2019061315.3c2a9960-0ubuntu1) eoan; urgency=medium

  * New upstream release 9.0.0~b1.
  * d/control: Align (Build-)Depends with upstream.

 -- Sahid Orentino Ferdjaoui <sahid.ferdjaoui@canonical.com>  Thu, 20 Jun 2019 05:22:23 +0100

=== debian/control ===
Source: barbican
Section: net
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 David Della Vecchia <ddv@canonical.com>,
Build-Depends:
 apache2-dev,
 debhelper (>= 10~),
 dh-apache2,
 dh-python,
 openstack-pkg-tools (>= 85ubuntu3~),
 python-all,
 python-pbr (>= 2.0.0),
 python-setuptools,
 python3-all,
 python3-pbr (>= 2.0.0),
 python3-setuptools,
 python3-sphinx (>= 1.6.2),
Build-Depends-Indep:
 python3-alembic (>= 0.8.10),
 python3-babel (>= 2.3.4),
 python3-bandit (>= 1.1.0),
 python3-castellan (>= 1.2.1),
 python3-cffi (>= 1.7.0),
 python3-coverage (>= 4.0),
 python3-crypto (>= 2.6),
 python3-cryptography (>= 2.1),
 python3-ddt (>= 1.0.1),
 python3-doc8 (>= 0.6.0),
 python3-eventlet (>= 0.18.2),
 python3-fixtures (>= 3.0.0),
 python3-hacking (>= 0.12.0),
 python3-jsonschema (>= 2.6.0),
 python3-keystoneclient (>= 1:3.8.0),
 python3-keystonemiddleware (>= 4.17.0),
 python3-ldap (>= 3.0.0),
 python3-mock (>= 2.0.0),
 python3-openssl (>= 17.1.0),
 python3-openstackdocstheme (>= 1.18.1),
 python3-os-api-ref (>= 1.4.0),
 python3-os-testr (>= 1.0.0),
 python3-oslo.config (>= 1:5.2.0),
 python3-oslo.context (>= 1:2.19.2),
 python3-oslo.db (>= 4.27.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.log (>= 3.36.0),
 python3-oslo.messaging (>= 5.29.0),
 python3-oslo.middleware (>= 3.31.0),
 python3-oslo.policy (>= 1.30.0),
 python3-oslo.serialization (>= 2.18.0),
 python3-oslo.service (>= 1.24.0),
 python3-oslo.upgradecheck (>= 0.1.1),
 python3-oslo.utils (>= 3.33.0),
 python3-oslo.versionedobjects (>= 1.31.2),
 python3-oslotest (>= 1:3.2.0),
 python3-paste (>= 2.0.2),
 python3-pastedeploy (>= 1.5.0),
 python3-pecan (>= 1.0.0),
 python3-pep8,
 python3-pygments (>= 2.2.0),
 python3-pykmip (>= 0.7.0),
 python3-reno (>= 2.5.0),
 python3-requests (>= 2.14.2),
 python3-six (>= 1.10.0),
 python3-sphinxcontrib.blockdiag (>= 1.5.4),
 python3-sphinxcontrib.httpdomain (>= 1.3.0),
 python3-sqlalchemy (>= 1.0.10),
 python3-stestr (>= 2.0.0),
 python3-stevedore (>= 1:1.20.0),
 python3-tempest (>= 1:17.1.0),
 python3-testrepository (>= 0.0.18),
 python3-testtools (>= 2.2.0),
 python3-webob (>= 1:1.7.1),
 python3-webtest (>= 2.0.27),
Standards-Version: 4.1.4
Vcs-Browser: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/barbican
Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/barbican
Homepage: https://github.com/openstack/barbican
Testsuite: autopkgtest-pkg-python

Package: barbican-api
Architecture: all
Depends:
 apache2 | httpd,
 libapache2-mod-wsgi-py3,
 python3-barbican (= ${binary:Version}),
 ${misc:Depends},
Recommends:
 ${misc:Recommends},
Description: OpenStack Key Management Service - API Server
 The Barbican project provides services for secure storage, provisioning and
 management of sensitive client secret information such as encryption keys. It
 is aims at being useful for all environments, including large ephemeral
 Clouds.
 .
 This package contains the Barbican API Server.

Package: barbican-common
Architecture: all
Depends:
 adduser,
 ${misc:Depends},
Breaks:
 barbican-api (<< 1:7.0.0~rc1-0ubuntu2~),
 barbican-keystone-listener (<< 1:7.0.0~rc1-0ubuntu2~),
 barbican-worker (<< 1:7.0.0~rc1-0ubuntu2~),
Replaces:
 barbican-api (<< 1:7.0.0~rc1-0ubuntu2~),
 barbican-keystone-listener (<< 1:7.0.0~rc1-0ubuntu2~),
 barbican-worker (<< 1:7.0.0~rc1-0ubuntu2~),
Description: OpenStack Key Management Service - common files
 The Barbican project provides services for secure storage, provisioning and
 management of sensitive client secret information such as encryption keys. It
 is aims at being useful for all environments, including large ephemeral
 Clouds.
 .
 This package contains common files for Barbican.

Package: barbican-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: OpenStack Key Management Service - doc
 The Barbican project provides services for secure storage, provisioning and
 management of sensitive client secret information such as encryption keys. It
 is aims at being useful for all environments, including large ephemeral
 Clouds.
 .
 This package contains the documentation.

Package: barbican-keystone-listener
Architecture: all
Depends:
 python3-barbican (= ${binary:Version}),
 ${misc:Depends},
Description: OpenStack Key Management Service - Keystone Listener
 The Barbican project provides services for secure storage, provisioning and
 management of sensitive client secret information such as encryption keys. It
 is aims at being useful for all environments, including large ephemeral
 Clouds.
 .
 This package contains the Barbican Keystone Listener daemon.

Package: barbican-worker
Architecture: all
Depends:
 python3-barbican (= ${binary:Version}),
 ${misc:Depends},
Description: OpenStack Key Management Service - Worker Node
 The Barbican project provides services for secure storage, provisioning and
 management of sensitive client secret information such as encryption keys. It
 is aims at being useful for all environments, including large ephemeral
 Clouds.
 .
 This package contains the Barbican Worker Node.

Package: python3-barbican
Architecture: all
Section: python
Depends:
 barbican-common (= ${binary:Version}),
 python3-alembic (>= 0.8.10),
 python3-babel (>= 2.3.4),
 python3-castellan (>= 1.2.1),
 python3-cffi (>= 1.7.0),
 python3-crypto (>= 2.6),
 python3-cryptography (>= 2.1),
 python3-eventlet (>= 0.18.2),
 python3-jsonschema (>= 2.6.0),
 python3-keystonemiddleware (>= 4.17.0),
 python3-ldap (>= 3.0.0),
 python3-openssl (>= 17.1.0),
 python3-oslo.config (>= 1:5.2.0),
 python3-oslo.context (>= 1:2.19.2),
 python3-oslo.db (>= 4.27.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.log (>= 3.36.0),
 python3-oslo.messaging (>= 5.29.0),
 python3-oslo.middleware (>= 3.31.0),
 python3-oslo.policy (>= 1.30.0),
 python3-oslo.serialization (>= 2.18.0),
 python3-oslo.service (>= 1.24.0),
 python3-oslo.upgradecheck (>= 0.1.1),
 python3-oslo.utils (>= 3.33.0),
 python3-oslo.versionedobjects (>= 1.31.2),
 python3-paste (>= 2.0.2),
 python3-pastedeploy (>= 1.5.0),
 python3-pbr (>= 2.0.0),
 python3-pecan (>= 1.0.0),
 python3-six (>= 1.10.0),
 python3-sqlalchemy (>= 1.0.10),
 python3-stevedore (>= 1:1.20.0),
 python3-webob (>= 1:1.7.1),
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python3-pykmip (>= 0.8.0),
Recommends:
 python3-pymysql,
Description: OpenStack Key Management Service - Python 3 files
 The Barbican project provides services for secure storage, provisioning and
 management of sensitive client secret information such as encryption keys. It
 is aims at being useful for all environments, including large ephemeral
 Clouds.
 .
 This package contains the Python 3 files and libraries.

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/;s/\.0b/~b/;s/\.0rc/~rc/" \
 https://tarballs.opendev.org/openstack/barbican barbican-(9\.\d.*)\.tar\.gz

## barbican 10.0.0~b2~git2020020508.7b14d983

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
alembic>=0.8.10 # MIT
Babel!=2.4.0,>=2.3.4 # BSD
cffi>=1.7.0 # MIT
cryptography>=2.1 # BSD/Apache-2.0
eventlet>=0.18.2,!=0.18.3,!=0.20.1  # MIT
jsonschema>=2.6.0 # MIT
oslo.config>=5.2.0 # Apache-2.0
oslo.context>=2.19.2 # Apache-2.0
oslo.db>=4.27.0 # Apache-2.0
oslo.i18n>=3.15.3 # Apache-2.0
oslo.messaging>=5.29.0 # Apache-2.0
oslo.middleware>=3.31.0 # Apache-2.0
oslo.log>=3.36.0 # Apache-2.0
oslo.policy>=1.30.0 # Apache-2.0
oslo.serialization!=2.19.1,>=2.18.0 # Apache-2.0
oslo.service!=1.28.1,>=1.24.0 # Apache-2.0
oslo.upgradecheck>=0.1.1 # Apache-2.0
oslo.utils>=3.33.0 # Apache-2.0
oslo.versionedobjects>=1.31.2 # Apache-2.0
Paste>=2.0.2 # MIT
PasteDeploy>=1.5.0 # MIT
pbr!=2.1.0,>=2.0.0 # Apache-2.0
pecan!=1.0.2,!=1.0.3,!=1.0.4,!=1.2,>=1.0.0 # BSD
pyOpenSSL>=17.1.0 # Apache-2.0
ldap3>=1.0.2 # LGPLv3
keystonemiddleware>=4.17.0 # Apache-2.0
six>=1.10.0 # MIT
SQLAlchemy!=1.1.5,!=1.1.6,!=1.1.7,!=1.1.8,>=1.0.10 # MIT
stevedore>=1.20.0 # Apache-2.0
WebOb>=1.7.1 # MIT
castellan >= 1.2.1 # Apache-2.0

=== doc/requirements.txt ===
sphinx>=1.8.0,!=2.1.0 # BSD
sphinxcontrib-httpdomain>=1.3.0 # BSD
sphinxcontrib-blockdiag>=1.5.4 # BSD
sphinxcontrib-svg2pdfconverter>=0.1.0 # BSD
reno>=2.5.0 # Apache-2.0
os-api-ref>=1.4.0 # Apache-2.0
openstackdocstheme>=1.18.1 # Apache-2.0
castellan >= 0.17 # Apache-2.0
pykmip>=0.7.0 # Apache 2.0 License

=== debian/changelog ===
barbican (1:10.0.0~b2~git2020020508.7b14d983-0ubuntu3) focal; urgency=medium

  * d/barbican-common.postinst: Set ownership and permissions for all /var/lib
    files and directories.
  * d/control: Ensure python3-castellan is >= 3.0.1 as 3.0.0 is broken.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 10 Apr 2020 14:24:29 -0400

barbican (1:10.0.0~b2~git2020020508.7b14d983-0ubuntu2) focal; urgency=medium

  * d/barbican-common.postinst: Set default ownership and permissions for
    /etc/<pkg>, /var/lib/<pkg>, and /var/log/<pkg> (LP: #1859422).

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 25 Mar 2020 14:53:42 -0400

barbican (1:10.0.0~b2~git2020020508.7b14d983-0ubuntu1) focal; urgency=medium

  * New upstream snapshot for OpenStack Ussuri.
  * d/control: Align (Build-)Depends with upstream.

 -- Sahid Orentino Ferdjaoui <sahid.ferdjaoui@canonical.com>  Wed, 05 Feb 2020 09:49:40 +0100

barbican (1:10.0.0~b1~git2019121610.d633693b-0ubuntu1) focal; urgency=medium

  * New upstream snapshot for OpenStack Ussuri.
  * d/control: Drop. Dropped Python2 support
  * d/rules: Swith to pybuild
  * d/p/skip-py38-failures.patch: Skip py38 failures until fixed
    upstream.
  * d/p/debian/patches/remove-rsvgconverter.patch: Patch-out
    rsvgconverter.
  * d/p/debian/patches/ldap3-to-ldap.patch: Refreshed.

 -- Sahid Orentino Ferdjaoui <sahid.ferdjaoui@canonical.com>  Mon, 16 Dec 2019 11:12:08 +0100

=== debian/control ===
--- 
+++ 
@@ -12,18 +12,15 @@
  dh-apache2,
  dh-python,
  openstack-pkg-tools (>= 85ubuntu3~),
- python-all,
- python-pbr (>= 2.0.0),
- python-setuptools,
  python3-all,
  python3-pbr (>= 2.0.0),
  python3-setuptools,
- python3-sphinx (>= 1.6.2),
+ python3-sphinx (>= 1.8.0),
 Build-Depends-Indep:
  python3-alembic (>= 0.8.10),
  python3-babel (>= 2.3.4),
  python3-bandit (>= 1.1.0),
- python3-castellan (>= 1.2.1),
+ python3-castellan (>= 3.0.1),
  python3-cffi (>= 1.7.0),
  python3-coverage (>= 4.0),
  python3-crypto (>= 2.6),
@@ -76,8 +73,8 @@
  python3-webob (>= 1:1.7.1),
  python3-webtest (>= 2.0.27),
 Standards-Version: 4.1.4
-Vcs-Browser: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/barbican
-Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/barbican
+Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/barbican
+Vcs-Git: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/barbican
 Homepage: https://github.com/openstack/barbican
 Testsuite: autopkgtest-pkg-python
 
@@ -166,7 +163,7 @@
  barbican-common (= ${binary:Version}),
  python3-alembic (>= 0.8.10),
  python3-babel (>= 2.3.4),
- python3-castellan (>= 1.2.1),
+ python3-castellan (>= 3.0.1),
  python3-cffi (>= 1.7.0),
  python3-crypto (>= 2.6),
  python3-cryptography (>= 2.1),

=== debian/rules ===
#!/usr/bin/make -f

DEBVERS ?= $(shell dpkg-parsechangelog | sed -n -e 's/^Version: //p')
VERSION ?= $(shell echo '$(DEBVERS)' | sed -e 's/^[[:digit:]]*://' -e 's/[-].*//' -e 's/[+].*//' -e 's/~git.*//g' -e 's/~/./g')
export PBR_VERSION=$(VERSION)

include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=pybuild --with apache2,python3,systemd,sphinxdoc

override_dh_auto_build:
	dh_auto_build -O--buildsystem=pybuild

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	pkgos-dh_auto_test --no-py2
endif

override_dh_auto_install:
	pkgos-dh_auto_install --no-py2

override_dh_install:
	PYTHONPATH=$(CURDIR) oslo-config-generator \
		--config-file etc/oslo-config-generator/barbican.conf \
		--output-file etc/barbican/barbican.conf
	dh_install --fail-missing -Xusr/etc
	rm -rf $(CURDIR)/debian/python*-barbican/usr/etc

override_dh_sphinxdoc:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. sphinx-build -b html doc/source $(CURDIR)/debian/barbican-doc/usr/share/doc/barbican-doc/html
	dh_sphinxdoc -O--buildsystem=pybuild
endif

override_dh_auto_clean:
	dh_auto_clean
	rm -f debian/*.init debian/*.service debian/*.upstart
	rm -rf build
	rm -rf barbican.sqlite
	rm -rf .eggs
	rm -f etc/barbican/barbican.conf

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/;s/\.0b/~b/;s/\.0rc/~rc/" \
 https://tarballs.openstack.org/barbican barbican-(9\.\d.*)\.tar\.gz

## barbican 10.1.0

=== debian/changelog ===
barbican (1:10.1.0-0ubuntu2.2) focal-security; urgency=medium

  * SECURITY UPDATE: access policy bypass via query string injection
    - debian/patches/CVE-2022-3100.patch: don't use contents of query
      string in barbican/api/controllers/__init__.py.
    - CVE-2022-3100

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 05 Oct 2022 09:31:21 -0400

barbican (1:10.1.0-0ubuntu2.1) focal-security; urgency=medium

  * SECURITY UPDATE: Access restrictions bypass
    - debian/patches/CVE-2022-23451.patch: Change access policies to
      secret metadata in barbican/common/policies/secretmeta.py. Add a new
      role in barbican/common/policies/base.py and make use of these changes
      in barbican/api/controllers/__init__.py,
      barbican/api/controllers/secretmeta.py and
      barbican/api/controllers/secrets.py.
    - debian/patches/CVE-2022-23451-post.patch: Change secret policies in
      barbican/common/policies/secrets.py, add tests in
      barbican/tests/api/test_resources_policy.py and
      functionaltests/api/v1/functional/test_secrets_rbac.py and update
      api guide in api-guide/source/acls.rst.
    - CVE-2022-23451
  * SECURITY UPDATE: Ownership bypass
    - debian/patches/CVE-2022-23452.patch: Update container secret policies
      in barbican/common/policies/containers.py and add a new role in
      barbican/common/policies/base.py.
    - CVE-2022-23452

 -- Rodrigo Figueiredo Zaiden <rodrigo.zaiden@canonical.com>  Wed, 20 Apr 2022 18:00:29 -0300

barbican (1:10.1.0-0ubuntu2) focal; urgency=medium

  * d/p/fix-castellan-secret-store-encoding.patch: Fix inconsistent encoding
    of SecretDTO objects (LP: #1946787).

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 01 Nov 2021 14:09:38 -0400

barbican (1:10.1.0-0ubuntu1) focal; urgency=medium

  * d/watch: Add trailing slash to URL.
  * d/watch: Fix version string parsing.
  * New stable point release for OpenStack Ussuri (LP: #1943712).
  * d/p/resolve-alembic-migration-issue-mysql8.patch: Removed after
    inclusion in upstream release.

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Fri, 17 Sep 2021 10:05:07 +0000

barbican (1:10.0.0-0ubuntu0.20.04.2) focal; urgency=medium

  * d/control: Update VCS paths for move to lp:~ubuntu-openstack-dev.
  * d/p/resolve-alembic-migration-issue-mysql8.patch: Cherry-pick upstream fix
    to allow migrations to work with mysql8 (LP: #1899104).

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Thu, 28 Jan 2021 08:15:42 +0000

barbican (1:10.0.0-0ubuntu0.20.04.1) focal; urgency=medium

  [ Chris MacNaughton ]
  * d/watch: Update to get release tarballs from opendev.org.
  * New upstream release for OpenStack Ussuri (LP: #1877642).
  * d/watch: update to the correct version regex.
  * d/gbp.conf: Create stable/ussuri branch.

  [ Corey Bryant ]
  * d/watch: Scope to 10.x series.
  * d/p/monkey-patch-original-current-thread.patch: Cherry-picked
    from upstream review (https://review.opendev.org/#/c/725353/)
    to fix Python 3.8 monkey patching (LP: #1863021).

 -- Chris MacNaughton <chris.macnaughton@canonical.com>  Thu, 14 May 2020 08:13:29 +0000

=== debian/control ===
--- 
+++ 
@@ -73,8 +73,8 @@
  python3-webob (>= 1:1.7.1),
  python3-webtest (>= 2.0.27),
 Standards-Version: 4.1.4
-Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/barbican
-Vcs-Git: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/barbican
+Vcs-Browser: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/barbican
+Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/barbican
 Homepage: https://github.com/openstack/barbican
 Testsuite: autopkgtest-pkg-python

=== debian/tests/control ===
Tests: barbican-daemons
Depends: barbican-common, barbican-api,
 barbican-worker, barbican-keystone-listener
Restrictions: needs-root

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/;s/\.0b/~b/;s/\.0rc/~rc/" \
 https://tarballs.opendev.org/openstack/barbican/ barbican-(10\.\d.*)\.tar\.gz

## barbican 11.0.0

=== requirements.txt ===
--- 
+++ 
@@ -2,19 +2,18 @@
 # of appearance. Changing the order has an impact on the overall integration
 # process, which may cause wedges in the gate later.
 alembic>=0.8.10 # MIT
-Babel!=2.4.0,>=2.3.4 # BSD
 cffi>=1.7.0 # MIT
 cryptography>=2.1 # BSD/Apache-2.0
 eventlet>=0.18.2,!=0.18.3,!=0.20.1  # MIT
-jsonschema>=2.6.0 # MIT
-oslo.config>=5.2.0 # Apache-2.0
+jsonschema>=3.2.0 # MIT
+oslo.config>=6.4.0 # Apache-2.0
 oslo.context>=2.19.2 # Apache-2.0
 oslo.db>=4.27.0 # Apache-2.0
 oslo.i18n>=3.15.3 # Apache-2.0
 oslo.messaging>=5.29.0 # Apache-2.0
 oslo.middleware>=3.31.0 # Apache-2.0
 oslo.log>=3.36.0 # Apache-2.0
-oslo.policy>=1.30.0 # Apache-2.0
+oslo.policy>=1.33.0 # Apache-2.0
 oslo.serialization!=2.19.1,>=2.18.0 # Apache-2.0
 oslo.service!=1.28.1,>=1.24.0 # Apache-2.0
 oslo.upgradecheck>=0.1.1 # Apache-2.0

=== debian/changelog ===
barbican (1:11.0.0-0ubuntu1) groovy; urgency=medium

  * New upstream release for OpenStack Victoria.

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Thu, 15 Oct 2020 07:26:47 +0000

barbican (1:11.0.0~rc1-0ubuntu1) groovy; urgency=medium

  * d/control: Remove Breaks/Replaces that are older than Focal (LP: #1878419).
  * d/control: Update VCS paths for move to lp:~ubuntu-openstack-dev.
  * d/watch: Update to the correct version regex. 
  * New upstream release candidate for OpenStack Victoria.

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Fri, 09 Oct 2020 09:57:14 +0000

barbican (1:11.0.0~b2~git2020073012.36b2f658-0ubuntu1) groovy; urgency=medium

  * New upstream snapshot for OpenStack Victoria.
  * d/control: Align (Build-)Depends with upstream.

 -- Chris MacNaughton <chris.macnaughton@canonical.com>  Thu, 30 Jul 2020 12:21:55 +0000

barbican (1:11.0.0~b1~git2020062509.df194df8-0ubuntu1) groovy; urgency=medium

  * New upstream snapshot for OpenStack Victoria.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/skip-py38-failures.patch: Dropped. No longer needed.
  * d/p/ldap3-to-ldap.patch: Refreshed.

 -- Chris MacNaughton <chris.macnaughton@canonical.com>  Thu, 25 Jun 2020 09:05:40 +0000

barbican (1:10.0.0-0ubuntu1) groovy; urgency=medium

  [ Chris MacNaughton ]
  * d/watch: Update to get release tarballs from opendev.org.
  * New upstream release for OpenStack Ussuri (LP: #1877642).
  * d/watch: update to the correct version regex.

  [ Corey Bryant ]
  * d/watch: Scope to 10.x series.
  * d/p/monkey-patch-original-current-thread.patch: Cherry-picked
    from upstream review (https://review.opendev.org/#/c/725353/)
    to fix Python 3.8 monkey patching (LP: #1863021).

 -- Chris MacNaughton <chris.macnaughton@canonical.com>  Thu, 14 May 2020 08:13:29 +0000

=== debian/control ===
--- 
+++ 
@@ -15,7 +15,7 @@
  python3-all,
  python3-pbr (>= 2.0.0),
  python3-setuptools,
- python3-sphinx (>= 1.8.0),
+ python3-sphinx (>= 2.0.0),
 Build-Depends-Indep:
  python3-alembic (>= 0.8.10),
  python3-babel (>= 2.3.4),
@@ -30,23 +30,23 @@
  python3-eventlet (>= 0.18.2),
  python3-fixtures (>= 3.0.0),
  python3-hacking (>= 0.12.0),
- python3-jsonschema (>= 2.6.0),
+ python3-jsonschema (>= 3.2.0),
  python3-keystoneclient (>= 1:3.8.0),
  python3-keystonemiddleware (>= 4.17.0),
  python3-ldap (>= 3.0.0),
  python3-mock (>= 2.0.0),
  python3-openssl (>= 17.1.0),
- python3-openstackdocstheme (>= 1.18.1),
- python3-os-api-ref (>= 1.4.0),
+ python3-openstackdocstheme (>= 2.2.1),
+ python3-os-api-ref (>= 1.5.0),
  python3-os-testr (>= 1.0.0),
- python3-oslo.config (>= 1:5.2.0),
+ python3-oslo.config (>= 1:6.4.0),
  python3-oslo.context (>= 1:2.19.2),
  python3-oslo.db (>= 4.27.0),
  python3-oslo.i18n (>= 3.15.3),
  python3-oslo.log (>= 3.36.0),
  python3-oslo.messaging (>= 5.29.0),
  python3-oslo.middleware (>= 3.31.0),
- python3-oslo.policy (>= 1.30.0),
+ python3-oslo.policy (>= 1.33.0),
  python3-oslo.serialization (>= 2.18.0),
  python3-oslo.service (>= 1.24.0),
  python3-oslo.upgradecheck (>= 0.1.1),
@@ -59,11 +59,12 @@
  python3-pep8,
  python3-pygments (>= 2.2.0),
  python3-pykmip (>= 0.7.0),
- python3-reno (>= 2.5.0),
- python3-requests (>= 2.14.2),
+ python3-reno (>= 2.11.2),
+ python3-requests (>= 2.18.0),
  python3-six (>= 1.10.0),
  python3-sphinxcontrib.blockdiag (>= 1.5.4),
  python3-sphinxcontrib.httpdomain (>= 1.3.0),
+ python3-sphinxcontrib.svg2pdfconverter (>= 0.1.0),
  python3-sqlalchemy (>= 1.0.10),
  python3-stestr (>= 2.0.0),
  python3-stevedore (>= 1:1.20.0),
@@ -100,14 +101,6 @@
 Depends:
  adduser,
  ${misc:Depends},
-Breaks:
- barbican-api (<< 1:7.0.0~rc1-0ubuntu2~),
- barbican-keystone-listener (<< 1:7.0.0~rc1-0ubuntu2~),
- barbican-worker (<< 1:7.0.0~rc1-0ubuntu2~),
-Replaces:
- barbican-api (<< 1:7.0.0~rc1-0ubuntu2~),
- barbican-keystone-listener (<< 1:7.0.0~rc1-0ubuntu2~),
- barbican-worker (<< 1:7.0.0~rc1-0ubuntu2~),
 Description: OpenStack Key Management Service - common files
  The Barbican project provides services for secure storage, provisioning and
  management of sensitive client secret information such as encryption keys. It
@@ -168,18 +161,18 @@
  python3-crypto (>= 2.6),
  python3-cryptography (>= 2.1),
  python3-eventlet (>= 0.18.2),
- python3-jsonschema (>= 2.6.0),
+ python3-jsonschema (>= 3.2.0),
  python3-keystonemiddleware (>= 4.17.0),
  python3-ldap (>= 3.0.0),
  python3-openssl (>= 17.1.0),
- python3-oslo.config (>= 1:5.2.0),
+ python3-oslo.config (>= 1:6.4.0),
  python3-oslo.context (>= 1:2.19.2),
  python3-oslo.db (>= 4.27.0),
  python3-oslo.i18n (>= 3.15.3),
  python3-oslo.log (>= 3.36.0),
  python3-oslo.messaging (>= 5.29.0),
  python3-oslo.middleware (>= 3.31.0),
- python3-oslo.policy (>= 1.30.0),
+ python3-oslo.policy (>= 1.33.0),
  python3-oslo.serialization (>= 2.18.0),
  python3-oslo.service (>= 1.24.0),
  python3-oslo.upgradecheck (>= 0.1.1),

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/;s/\.0b/~b/;s/\.0rc/~rc/" \
 https://tarballs.opendev.org/openstack/barbican barbican-(11\.\d.*)\.tar\.gz

## barbican 12.0.0

=== debian/changelog ===
barbican (2:12.0.0-0ubuntu1) hirsute; urgency=medium

  * New upstream release for OpenStack Wallaby.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 14 Apr 2021 14:48:36 -0400

barbican (2:12.0.0~rc2-0ubuntu1) hirsute; urgency=medium

  * New upstream release candidate for OpenStack Wallaby.

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Tue, 06 Apr 2021 12:18:05 +0000

barbican (2:12.0.0~rc1-0ubuntu2) hirsute; urgency=medium

  * d/watch: Scope to 12.x series
  * New upstream release candidate for OpenStack Wallaby.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/ldap3-to-ldap.patch: Refreshed.

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Fri, 02 Apr 2021 06:44:47 +0000

barbican (2:11.0.0+git2021012507.85257b56-0ubuntu1) hirsute; urgency=medium

  * New upstream snapshot for OpenStack Wallaby.
  * d/control: Align (Build-)Depends with upstream.

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Mon, 25 Jan 2021 08:04:40 +0000

barbican (2:11.0.0+git2020121010.1b611db1-0ubuntu1) hirsute; urgency=medium

  * Increment epoch to align with new snapshot plan.
  * New upstream snapshot for OpenStack Wallaby.

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Thu, 10 Dec 2020 10:28:20 +0000

barbican (1:11.1.0~b1~git2020120715.1b611db1-0ubuntu1) hirsute; urgency=medium

  * New upstream snapshot for OpenStack Wallaby.

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Mon, 07 Dec 2020 15:17:11 +0000

=== debian/control ===
--- 
+++ 
@@ -26,13 +26,13 @@
  python3-crypto (>= 2.6),
  python3-cryptography (>= 2.1),
  python3-ddt (>= 1.0.1),
- python3-doc8 (>= 0.6.0),
+ python3-doc8 (>= 0.8.0),
  python3-eventlet (>= 0.18.2),
  python3-fixtures (>= 3.0.0),
- python3-hacking (>= 0.12.0),
+ python3-hacking (>= 1.1.0),
  python3-jsonschema (>= 3.2.0),
  python3-keystoneclient (>= 1:3.8.0),
- python3-keystonemiddleware (>= 4.17.0),
+ python3-keystonemiddleware (>= 5.1.0),
  python3-ldap (>= 3.0.0),
  python3-mock (>= 2.0.0),
  python3-openssl (>= 17.1.0),
@@ -40,16 +40,16 @@
  python3-os-api-ref (>= 1.5.0),
  python3-os-testr (>= 1.0.0),
  python3-oslo.config (>= 1:6.4.0),
- python3-oslo.context (>= 1:2.19.2),
+ python3-oslo.context (>= 1:2.22.0),
  python3-oslo.db (>= 4.27.0),
  python3-oslo.i18n (>= 3.15.3),
- python3-oslo.log (>= 3.36.0),
+ python3-oslo.log (>= 4.3.0),
  python3-oslo.messaging (>= 5.29.0),
  python3-oslo.middleware (>= 3.31.0),
- python3-oslo.policy (>= 1.33.0),
+ python3-oslo.policy (>= 3.6.0),
  python3-oslo.serialization (>= 2.18.0),
  python3-oslo.service (>= 1.24.0),
- python3-oslo.upgradecheck (>= 0.1.1),
+ python3-oslo.upgradecheck (>= 1.3.0),
  python3-oslo.utils (>= 3.33.0),
  python3-oslo.versionedobjects (>= 1.31.2),
  python3-oslotest (>= 1:3.2.0),
@@ -162,20 +162,20 @@
  python3-cryptography (>= 2.1),
  python3-eventlet (>= 0.18.2),
  python3-jsonschema (>= 3.2.0),
- python3-keystonemiddleware (>= 4.17.0),
+ python3-keystonemiddleware (>= 5.1.0),
  python3-ldap (>= 3.0.0),
  python3-openssl (>= 17.1.0),
  python3-oslo.config (>= 1:6.4.0),
- python3-oslo.context (>= 1:2.19.2),
+ python3-oslo.context (>= 1:2.22.0),
  python3-oslo.db (>= 4.27.0),
  python3-oslo.i18n (>= 3.15.3),
- python3-oslo.log (>= 3.36.0),
+ python3-oslo.log (>= 4.3.0),
  python3-oslo.messaging (>= 5.29.0),
  python3-oslo.middleware (>= 3.31.0),
- python3-oslo.policy (>= 1.33.0),
+ python3-oslo.policy (>= 3.6.0),
  python3-oslo.serialization (>= 2.18.0),
  python3-oslo.service (>= 1.24.0),
- python3-oslo.upgradecheck (>= 0.1.1),
+ python3-oslo.upgradecheck (>= 1.3.0),
  python3-oslo.utils (>= 3.33.0),
  python3-oslo.versionedobjects (>= 1.31.2),
  python3-paste (>= 2.0.2),

## barbican 12.0.2

=== debian/changelog ===
barbican (2:12.0.2-0ubuntu1~cloud0) focal-wallaby; urgency=medium

  * New stable point release for OpenStack Wallaby (LP: #1998824).

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 05 Dec 2022 09:58:43 -0500

barbican (2:12.0.0-0ubuntu2~cloud1) focal-wallaby; urgency=medium

  * d/control, d/rules: Bump debhelper compat to 12 (LP: #1960636).

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 02 Mar 2022 11:47:08 -0500

barbican (2:12.0.0-0ubuntu2~cloud0) focal-wallaby; urgency=medium

  * New update for the Ubuntu Cloud Archive.

barbican (2:12.0.0-0ubuntu2) hirsute; urgency=medium

  * d/gbp.conf: Create stable/wallaby branch.
  * d/p/fix-castellan-secret-store-encoding.patch: Fix inconsistent encoding
    of SecretDTO objects (LP: #1946787).

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 12 Oct 2021 14:17:00 -0400

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
  David Della Vecchia <ddv@canonical.com>,
 Build-Depends:
  apache2-dev,
- debhelper (>= 10~),
+ debhelper-compat (= 12),
  dh-apache2,
  dh-python,
  openstack-pkg-tools (>= 85ubuntu3~),

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/;s/\.0b/~b/;s/\.0rc/~rc/" \
 https://tarballs.opendev.org/openstack/barbican/ barbican-(12\.\d.*)\.tar\.gz

## barbican 13.0.0

=== debian/changelog ===
barbican (2:13.0.0-0ubuntu1.2) impish-security; urgency=medium

  * SECURITY UPDATE: Access restrictions bypass
    - debian/patches/CVE-2022-23451-1.patch: Change access policies to
      secret metadata in barbican/common/policies/secretmeta.py. Add a new
      role in barbican/common/policies/base.py and make use of these changes
      in barbican/api/controllers/__init__.py,
      barbican/api/controllers/secretmeta.py and
      barbican/api/controllers/secrets.py.
    - debian/patches/CVE-2022-23451-2.patch: Fix secure RBAC rules in
      barbican/common/policies/secretmeta.py
    - debian/patches/CVE-2022-23451-post1.patch: Change consumer controller
      code in barbican/api/controllers/*, change policy rules in
      barbican/common/policies/consumers.py and add tests in
      barbican/tests/api/test_resources_policy.py and
      functionaltests/api/v1/functional/test_acls.py.
    - debian/patches/CVE-2022-23451-post2.patch: Change secret policies in
      barbican/common/policies/secrets.py, add tests in
      barbican/tests/api/test_resources_policy.py and
      functionaltests/api/v1/functional/test_secrets_rbac.py and update
      api guide in api-guide/source/acls.rst.
    - CVE-2022-23451
  * SECURITY UPDATE: Ownership bypass
    - debian/patches/CVE-2022-23452.patch: Update container secret policies
      in barbican/common/policies/containers.py and add a new role in
      barbican/common/policies/base.py.
    - CVE-2022-23452

 -- Rodrigo Figueiredo Zaiden <rodrigo.zaiden@canonical.com>  Fri, 08 Apr 2022 15:05:16 -0300

barbican (2:13.0.0-0ubuntu1.1) impish; urgency=medium

  * d/gbp.conf: Create stable/xena branch.
  * d/control, d/rules: Bump debhelper compat to 12 (LP: #1960636).

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 02 Mar 2022 09:09:54 -0500

barbican (2:13.0.0-0ubuntu1) impish; urgency=medium

  * d/watch: Scope to 13.x.
  * New upstream release for OpenStack Xena.

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Wed, 06 Oct 2021 15:13:23 +0000

barbican (2:12.0.0+git2021090813.aa7bf886-0ubuntu1) impish; urgency=medium

  * New upstream release for OpenStack Xena.

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Thu, 09 Sep 2021 07:59:54 +0000

barbican (2:12.0.0+git2021072116.123c73a5-0ubuntu1) impish; urgency=medium

  * New upstream snapshot for OpenStack Xena.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 21 Jul 2021 16:29:22 -0400

barbican (2:12.0.0+git2021061111.b5d10b3c-0ubuntu1) impish; urgency=medium

  * New upstream snapshot for OpenStack Xena.
  * d/p/monkey-patch-original-current-thread.patch: Removed, change
    landed upstream.

 -- Chris MacNaughton <chris.macnaughton@ubuntu.com>  Fri, 11 Jun 2021 11:40:13 +0000

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/;s/\.0b/~b/;s/\.0rc/~rc/" \
 https://tarballs.opendev.org/openstack/barbican/ barbican-(13\.\d.*)\.tar\.gz

## barbican 13.0.2

=== debian/changelog ===
barbican (1:13.0.2-1~bpo11+1) UNRELEASED; urgency=medium

  [ Thomas Goirand ]
  * New upstream point release.
  * Drop patch applied upstream:
    - CVE-2022-3100_query_string_were_mistakenly_being_used_in_the_RBAC_policy_engine.patch

  [ Jenkins ]
  * Rebuilt by bop.

 -- Jenkins <jenkins@bullseye-xena.infomaniak.ch>  Mon, 28 Jul 2025 09:49:19 +0000

barbican (1:13.0.0-2) UNRELEASED; urgency=medium

  * CVE-2022-3100: add upstream patch:
    query_string_were_mistakenly_being_used_in_the_RBAC_policy_engine.patch.

 -- Thomas Goirand <zigo@debian.org>  Mon, 03 Oct 2022 17:03:58 +0200

barbican (1:13.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 06 Oct 2021 16:56:30 +0200

barbican (1:13.0.0~rc1-2) unstable; urgency=medium

  * Uploading to unstable.
  * Fix 00_default_policy.yaml.

 -- Thomas Goirand <zigo@debian.org>  Wed, 29 Sep 2021 21:00:43 +0200

barbican (1:13.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 20 Sep 2021 16:25:54 +0200

barbican (1:12.0.0-3) unstable; urgency=medium

  * Upload to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 16 Aug 2021 12:01:30 +0200

barbican (1:12.0.0-2) experimental; urgency=medium

  * Do not manage stuff in /etc/barbican/vassals (Closes: #987198).

 -- Thomas Goirand <zigo@debian.org>  Tue, 20 Apr 2021 11:53:16 +0200

barbican (1:12.0.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 14 Apr 2021 14:11:51 +0200

barbican (1:12.0.0~rc1-1) experimental; urgency=medium

  * Tune barbican-api-uwsgi.ini for performance.
  * New upstream release.
  * Removed (build-)depends versions when satisfied in Bullseye.
  * Fixed (build-)depends for this release.
  * debhelper-compat 11.
  * Standards-Version: 4.5.1
  * Removed patches applied upstream:
    - Add-a-healthcheck-URL.patch
    - python-3.9-use-decodebytes-not-decodestring.patch

 -- Thomas Goirand <zigo@debian.org>  Fri, 26 Mar 2021 14:36:02 +0100

barbican (1:11.0.0-2) unstable; urgency=medium

  * mv /etc/barbican/policy.json /etc/barbican/disabled.policy.json.old instead
    of deleting /etc/barbican/policy.json.

 -- Thomas Goirand <zigo@debian.org>  Tue, 15 Dec 2020 11:19:57 +0100

barbican (1:11.0.0-1) unstable; urgency=medium

  * New upstream release.
  * Uploading to unstable.
  * Fixed debian/watch.
  * Add a debian/salsa-ci.yml.
  * Add python-3.9-use-decodebytes-not-decodestring.patch.
  * Blacklist some test_hacking tests which are failing under Python 3.9.

 -- Thomas Goirand <zigo@debian.org>  Sat, 17 Oct 2020 11:31:59 +0200

barbican (1:11.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Switched to /etc/barbican/policy.d/00_default_policy.yaml policy file.

 -- Thomas Goirand <zigo@debian.org>  Tue, 29 Sep 2020 09:52:05 +0200

barbican (1:10.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 13 May 2020 15:27:25 +0200

barbican (1:10.0.0~rc1-2) unstable; urgency=medium

  * Add Add-a-healthcheck-URL.patch.
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sat, 09 May 2020 01:25:51 +0200

barbican (1:10.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Add python3-sphinxcontrib.svg2pdfconverter as build-depends.

 -- Thomas Goirand <zigo@debian.org>  Fri, 24 Apr 2020 21:08:26 +0200

barbican (1:9.0.0-3) unstable; urgency=medium

  * Blacklist test_hacking.HackingTestCase.test_logging_with_tuple_argument()
    and test_should_validate_all_fields_and_make_key_lowercase()
    (Closes: #952264).

 -- Thomas Goirand <zigo@debian.org>  Tue, 25 Feb 2020 16:03:52 +0100

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python3,sphinxdoc

override_dh_auto_clean:
	rm -f debian/*.init debian/*.service debian/*.upstart
	rm -rf build
	rm -rf barbican.sqlite
	rm -f debian/barbican-api.postinst debian/barbican-api.config debian/barbican-common.postinst debian/barbican-common.config debian/barbican-common.postrm

override_dh_auto_build:
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func barbican-api.postinst
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func barbican-api.config
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func barbican-common.postinst
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func barbican-common.config
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_postrm barbican-common.postrm
	pkgos-merge-templates barbican-api barbican endpoint
	pkgos-merge-templates barbican-common barbican db rabbit ksat

override_dh_auto_test:
	echo "Do nothing..."

override_dh_auto_install:
	echo "Do nothing..."

override_dh_install:
	for i in $(PYTHON3S) ; do \
		python$$i setup.py install --root=debian/tmp --install-layout=deb ; \
	done

ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	pkgos-dh_auto_test --no-py2 'barbican\.tests\.(?!(.*common.test_utils\.WhenTestingAcceptEncodingGetter\.test_get_correct_fullname_for_class.*|.*common\.test_utils\.WhenTestingGenerateFullClassnameForInstance\.test_returns_qualified_name.*|.*plugin\.interface\.test_certificate_manager\.WhenTestingCertificateEventPluginManager\.test_get_plugin_by_name.*|.*plugin\.interface\.test_certificate_manager\.WhenTestingCertificatePluginManager\.test_get_plugin_by_ca_id.*|.*plugin\.interface\.test_certificate_manager\.WhenTestingCertificatePluginManager\.test_get_plugin_by_name.*|.*plugin\.interface\.test_certificate_manager\.WhenTestingCertificatePluginManager\.test_refresh_ca_list.*|.*plugin\.test_kmip\.WhenTestingKMIPSecretStore\.test_delete_secret_assert_called.*|.*plugin\.test_kmip\.WhenTestingKMIPSecretStore\.test_generate_asymmetric_key_assert_called.*|.*plugin\.test_kmip\.WhenTestingKMIPSecretStore\.test_generate_symmetric_key_assert_called.*|.*plugin\.test_kmip\.WhenTestingKMIPSecretStore\.test_get_secret_opaque.*|.*plugin\.test_kmip\.WhenTestingKMIPSecretStore\.test_get_secret_private_key.*|.*plugin\.test_kmip\.WhenTestingKMIPSecretStore\.test_get_secret_public_key.*|.*plugin\.test_kmip\.WhenTestingKMIPSecretStore\.test_get_secret_symmetric.*|.*plugin\.test_kmip\.WhenTestingKMIPSecretStore\.test_store_private_key_secret_assert_called.*|.*plugin\.test_kmip\.WhenTestingKMIPSecretStore\.test_store_symmetric_secret_assert_called.*|.*tasks\.test_keystone_consumer\.WhenUsingKeystoneEventConsumerProcessMethod\.test_existing_project_entities_cleanup_for_plain_secret.*|.*plugin\.test_kmip\.WhenTestingKMIPSecretStore\.test_credential.*|.*test_hacking\.HackingTestCase\.test_logging_with_tuple_argument.*|.*common\.test_validators\.WhenTestingSecretMetadataValidator\.test_should_validate_all_fields_and_make_key_lowercase.*|.*test_hacking\.HackingTestCase\.test_str_on_exception.*|.*test_hacking\.HackingTestCase\.test_str_on_multiple_exceptions.*|.*test_hacking\.HackingTestCase\.test_str_unicode_on_multiple_exceptions.*|.*test_hacking\.HackingTestCase\.test_unicode_on_exception.*))'

endif

	# Generate the barbican.conf config using installed python-barbican files.
	mkdir -p $(CURDIR)/debian/barbican-common/usr/share/barbican-common
	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages oslo-config-generator \
		--output-file $(CURDIR)/debian/barbican-common/usr/share/barbican-common/barbican.conf \
		--wrap-width 140 \
		--namespace barbican.certificate.plugin \
		--namespace barbican.certificate.plugin.snakeoil \
		--namespace barbican.common.config \
		--namespace barbican.plugin.crypto \
		--namespace barbican.plugin.crypto.p11 \
		--namespace barbican.plugin.crypto.simple \
		--namespace barbican.plugin.dogtag \
		--namespace barbican.plugin.secret_store \
		--namespace barbican.plugin.secret_store.kmip \
		--namespace keystonemiddleware.auth_token \
		--namespace oslo.log \
		--namespace oslo.messaging \
		--namespace oslo.middleware.cors \
		--namespace oslo.middleware.http_proxy_to_wsgi \
		--namespace oslo.policy \
		--namespace oslo.service.periodic_task \
		--namespace oslo.service.sslutils \
		--namespace oslo.service.wsgi
	pkgos-readd-keystone-authtoken-missing-options $(CURDIR)/debian/barbican-common/usr/share/barbican-common/barbican.conf keystone_authtoken barbican

	# Same with policy.conf
	mkdir -p $(CURDIR)/debian/barbican-common/etc/barbican/policy.d
	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages oslopolicy-sample-generator \
		--output-file $(CURDIR)/debian/barbican-common/etc/barbican/policy.d/00_default_policy.yaml \
		--format yaml \
		--namespace barbican

	# Comment out deprecated policies, otherwise, the policy doesn't work
	sed -i 's/^"/#"/' $(CURDIR)/debian/barbican-common/etc/barbican/policy.d/00_default_policy.yaml

	# Use the policy.d folder
	pkgos-fix-config-default $(CURDIR)/debian/barbican-common/usr/share/barbican-common/barbican.conf oslo_policy policy_dirs /etc/barbican/policy.d


	# Restore sanity...
	pkgos-fix-config-default $(CURDIR)/debian/barbican-common/usr/share/barbican-common/barbican.conf keystone_notifications enable True

	dh_install
	rm -rf $(CURDIR)/debian/tmp/usr/etc
	dh_missing --fail-missing

	# Installing the other config files.
	for i in api_audit_map.conf barbican-api-paste.ini barbican-functional.conf ; do \
		install -D -m 0664 etc/barbican/$$i $(CURDIR)/debian/barbican-common/usr/share/barbican-common/$$i ; \
	done

override_dh_sphinxdoc:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. PYTHON=python3 python3 -m sphinx -b html doc/source $(CURDIR)/debian/barbican-doc/usr/share/doc/barbican-doc/html
	dh_sphinxdoc
endif

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

## barbican 14.0.0

=== requirements.txt ===
--- 
+++ 
@@ -7,16 +7,16 @@
 eventlet>=0.18.2,!=0.18.3,!=0.20.1  # MIT
 jsonschema>=3.2.0 # MIT
 oslo.config>=6.4.0 # Apache-2.0
-oslo.context>=2.19.2 # Apache-2.0
+oslo.context>=2.22.0 # Apache-2.0
 oslo.db>=4.27.0 # Apache-2.0
 oslo.i18n>=3.15.3 # Apache-2.0
 oslo.messaging>=5.29.0 # Apache-2.0
 oslo.middleware>=3.31.0 # Apache-2.0
-oslo.log>=3.36.0 # Apache-2.0
-oslo.policy>=1.33.0 # Apache-2.0
+oslo.log>=4.3.0 # Apache-2.0
+oslo.policy>=3.6.0 # Apache-2.0
 oslo.serialization!=2.19.1,>=2.18.0 # Apache-2.0
 oslo.service!=1.28.1,>=1.24.0 # Apache-2.0
-oslo.upgradecheck>=0.1.1 # Apache-2.0
+oslo.upgradecheck>=1.3.0 # Apache-2.0
 oslo.utils>=3.33.0 # Apache-2.0
 oslo.versionedobjects>=1.31.2 # Apache-2.0
 Paste>=2.0.2 # MIT
@@ -25,7 +25,7 @@
 pecan!=1.0.2,!=1.0.3,!=1.0.4,!=1.2,>=1.0.0 # BSD
 pyOpenSSL>=17.1.0 # Apache-2.0
 ldap3>=1.0.2 # LGPLv3
-keystonemiddleware>=4.17.0 # Apache-2.0
+keystonemiddleware>=5.1.0 # Apache-2.0
 six>=1.10.0 # MIT
 SQLAlchemy!=1.1.5,!=1.1.6,!=1.1.7,!=1.1.8,>=1.0.10 # MIT
 stevedore>=1.20.0 # Apache-2.0

=== debian/changelog ===
barbican (2:14.0.0-0ubuntu1) jammy; urgency=medium

  * d/watch: Scope to 14.x.
  * New upstream release for OpenStack Yoga.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 30 Mar 2022 15:43:44 -0400

barbican (2:13.0.0+git2022030310.ffea7f79-0ubuntu1) jammy; urgency=medium

  * New upstream snapshot for OpenStack Yoga.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 03 Mar 2022 10:28:52 -0500

barbican (2:13.0.0+git2022011215.a9d2b133-0ubuntu2) jammy; urgency=medium

  * d/barbican-api.conf: use WSGIApplicationGroup %{GLOBAL} (LP: #1959626)
    for python3.10 compatibility

 -- Lukas Märdian <slyon@ubuntu.com>  Mon, 21 Feb 2022 14:43:10 +0100

barbican (2:13.0.0+git2022011215.a9d2b133-0ubuntu1) jammy; urgency=medium

  * New upstream snapshot for OpenStack Yoga.
  * d/control, d/rules: Bump debhelper compat to 13.
  * d/p/skip-cryptography-failure.patch: Skip test until cryptography bug is
    fixed in distro.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 12 Jan 2022 15:52:17 -0500

barbican (2:13.0.0-0ubuntu2) jammy; urgency=medium

  * d/control: Drop python3-crypto from (Build-)Depends.

 -- James Page <james.page@ubuntu.com>  Fri, 12 Nov 2021 09:22:27 +0000
